Name: 		kbfx
Version: 	4.7.3
Release: 	2
Copyright: 	GPL
Summary: 	KDE
Group: 		KDE
URL:		http://www.linuxlots.com/~siraj/kde/plugin/home/
Source0: 	%{name}-%{version}.tar.bz2
Source1:	xp.xcf
Source2:	xp.png
Source3:	xp.xpm
Source4:	%{name}back.png
Source5:	%{name}back.xcf
Source6:	xptiny.xcf
Source7:	xptinyopaq.png
Source8:	xptinytransl.png
Source9:	26035-20+1KickerBackgrounds.tar.gz
Source10:	kbfx.png
Source11:	%{name}_config
Patch0:		%{name}.diff
Patch1:		kbfx.desktop.diff
Requires:	qt
BuildRequires:  qt-devel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  i386

%description
K Desktop Environment.

T R A N S L U C E N T - K B F X

Changing the K-Start Menu Image: - e.g. Start/Launch Image Button.
1. Locate and click your [Personal Files [Home] desktop icon.
   Might be on your K-Menu if not the desktop. It's Konqueror File Manager.

2. Locate the KBFX K-Start Image: They are all in /usr/share/icons/; then
  drag one over top of the KBFX K-Start position. Now turn off applet handles
  like this below example.

Changing the Kicker Bar Image.
1. Right click 'Kicker' panel - e.g botton bar, usualy your taskbar in WindowsXX.
2. Chose from there - [Configure Panel]
3. Click Tab [Appearance]  See section [Panel Background] - The rest is straight
   forward but use 26 pixels or larger for kicker or the buttons will look off.

1. Notes for developers. You can change the defaults to /opt/kde3; or /usr/someplace;
   by modifying this spec file for another location.
2. Using ImageMagick: convert xp.png xp.xpm
3. KBFX background images are in: /opt/kde/share/apps/kicker/wallpapers/;
4. KBFX K-Start/Launch images are in: /usr/share/icons/;

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}*
%patch0 -p0
%patch1 -p0
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} theme/; cp %{SOURCE3} src/

%build
configure --prefix=/opt/kde \
	  --host=i386-pc-linux-gnu \
          --build=i386-pc-linux-gnu \
	  --sysconfdir=/etc \
          --disable-debug \
	  --disable-nls \
	  --without-included-gettext \
          --disable-final \
	  --with-xinerama \
	  --with-extra-libs=/usr/lib \
	  --with-extra-includes=/usr/include \
          --with-install-root=$RPM_BUILD_ROOT \
	  --enable-audio=oss,esd \
	  --enable-tcltk \
	  --with-tcltk \
	  --with-tclx=/usr/lib

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT $RPM_BUILD_ROOT/usr/share/icons/; cp %{SOURCE2} %{SOURCE7} %{SOURCE8} $RPM_BUILD_ROOT/usr/share/icons/
mkdir -p $RPM_BUILD_ROOT/opt/kde/share/apps/kicker/wallpapers
cp %{SOURCE4} $RPM_BUILD_ROOT/opt/kde/share/apps/kicker/wallpapers/
tar xzpf %{SOURCE9} -C $RPM_BUILD_ROOT/opt/kde/share/apps/kicker/wallpapers; chmod 644 $RPM_BUILD_ROOT/opt/kde/share/apps/kicker/wallpapers/20+1\ Kicker\ Backgrounds/*
chmod 755 $RPM_BUILD_ROOT/opt/kde/share/apps/kicker/wallpapers/20+1\ Kicker\ Backgrounds
mkdir -p $RPM_BUILD_ROOT/{root/.kbfx/bartheme,etc/skel/.kbfx/bartheme};
mkdir -p $RPM_BUILD_ROOT/{root/.kbfx/menu,etc/skel/.kbfx/menu};
cp %{SOURCE11} $RPM_BUILD_ROOT/root/.kbfx/config
cp %{SOURCE11} $RPM_BUILD_ROOT/etc/skel/.kbfx/config

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
